exports.up = (pgm) => {
    pgm.sql(`
        CREATE TABLE public.access_tokens
        (
          id          SERIAL PRIMARY KEY,
          token       VARCHAR(64) NOT NULL,
          name        TEXT        NOT NULL,
          description TEXT,
          roles       JSONB       NOT NULL DEFAULT '{}'
        );
        CREATE UNIQUE INDEX access_tokens_id_uindex
          ON public.access_tokens (id);
        CREATE UNIQUE INDEX access_tokens_token_uindex
          ON public.access_tokens (token);
    `);
};

exports.down = (pgm) => {
    pgm.sql(`
        DROP TABLE access_tokens;
    `);
};
