exports.up = (pgm) => {
    pgm.sql(`
        CREATE TABLE public.int_ban_records
        (
          id                       SERIAL PRIMARY KEY      NOT NULL,
          uuid                     UUID DEFAULT uuid_generate_v4() NOT NULL,
          created_at               TIMESTAMP DEFAULT NOW() NOT NULL,
          accused_discord_id       TEXT                    NOT NULL,
          accused_discord_username TEXT,
          added_by                 INT                     NOT NULL,
          case_description         TEXT,
          case_moderator           TEXT,
          case_origin              TEXT                    NOT NULL,
          banned_until             TIMESTAMP
        );
        
        CREATE UNIQUE INDEX int_ban_records_uuid_uindex ON public.int_ban_records (uuid);
    `);
};

exports.down = (pgm) => {
    pgm.sql(`
        DROP TABLE int_ban_records;
    `);
};
