"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ban_record_1 = require("../../models/ban-record");
exports.default = async (req, res) => {
    if (req.user.roles.intBanRecordsReader) {
        const discordId = req.query.discordId;
        if (discordId) {
            if (ban_record_1.DISCORD_ID_REG.test(discordId)) {
                const records = await ban_record_1.default.getByDiscordId(discordId);
                res.send({ records });
            }
            else {
                res.status(400).send({ error: 'Incorrect discordId format' });
            }
        }
        else {
            const records = await ban_record_1.default.getAll();
            res.send({ records });
        }
    }
    else {
        res.status(403).send({ error: 'Access denied' });
    }
};
//# sourceMappingURL=ban-records-list.js.map